Bug 188788 - CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
Summary: CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 02:21 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 15:54:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 02:21:02 UTC
Privilege escalation using a JavaScript function's cloned parent


shutdown discovered it was possible to use the Object.watch() method to
access an internal function object (the "clone parent") which could then be
used to run arbitrary JavaScript code with full permission. This could be
used to install malware such as password sniffers or viruses.

In pre-release versions of Firefox 1.5 the same technique could be applied
to the Array generic methods introduced in that release.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=313370
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313684


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-24 12:29:57 UTC
Lifting embargo

Comment 2 David Eisenstein 2006-06-24 15:54:29 UTC
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.


Note You need to log in before you can comment on or make changes to this bug.